let score = 0;
let timeLeft = 10;
let timerId;

function hitTarget() {
  score++;
  document.querySelector(".message").innerText = `Score: ${score}`;
  resetTarget();
}

function resetTarget() {
  const target = document.querySelector(".target");
  target.style.marginLeft = `${
    Math.random() * (window.innerWidth - target.clientWidth)
  }px`;
  target.style.marginTop = `${
    Math.random() * (window.innerHeight - target.clientHeight)
  }px`;
}

function countdown() {
  timeLeft--;
  document.getElementById("time").innerText = timeLeft;
  if (timeLeft === 0) {
    clearInterval(timerId);
    document.querySelector(
      ".message"
    ).innerText = `Game over! Final score: ${score}`;
    document.querySelector(".target").style.display = "none";
  }
}

resetTarget();
timerId = setInterval(countdown, 1000);
